Bug 2489 - Missing definitions for SIGRTMIN and SIGRTMAX
Summary: Missing definitions for SIGRTMIN and SIGRTMAX
Status: WAITING
Alias: None
Product: glibc
Classification: Unclassified
Component: hurd (show other bugs)
Version: 2.3.6
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-25 22:16 UTC by Barry deFreese
Modified: 2013-10-15 05:47 UTC (History)
4 users (show)

See Also:
Host: *-*-gnu*
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Barry deFreese 2006-03-25 22:16:36 UTC
signums.h is missing definitions for SIGRTMIN and SIGRTMAX.

Please see Samuel Thibaults patch here:
http://dept-info.labri.fr/~thibault/patch-glibc-SIGRTMINMAX
Comment 1 Ondrej Bilka 2013-10-12 17:19:17 UTC
Closing as when I looked for SIGRTMIN it is now defined at signum.h, A signums.h file is not present now.
Comment 2 Joseph Myers 2013-10-14 14:13:48 UTC
I don't see SIGRTMIN in sysdeps/unix/bsd/bits/signum.h which looks like what Hurd would use.
Comment 3 Ondrej Bilka 2013-10-14 14:36:07 UTC
On Mon, Oct 14, 2013 at 02:13:48PM +0000, jsm28 at gcc dot gnu.org wrote:
> https://sourceware.org/bugzilla/show_bug.cgi?id=2489
> 
> Joseph Myers <jsm28 at gcc dot gnu.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|RESOLVED                    |REOPENED
>          Resolution|FIXED                       |---
> 
> --- Comment #2 from Joseph Myers <jsm28 at gcc dot gnu.org> ---
> I don't see SIGRTMIN in sysdeps/unix/bsd/bits/signum.h which looks like what
> Hurd would use.
> 
Nice confirming of bug. Could you add these?
Comment 4 Samuel Thibault 2013-10-14 22:51:23 UTC
Hello,

Yes, that is where we are looking at, not the linux definitions (see the component and host of this bug).

Now it's not a as simple as putting a value: RT signals are not implemented yet on the Hurd, so these should actually not be defined for now.

Samuel
Comment 5 Ondrej Bilka 2013-10-15 05:47:53 UTC
> Now it's not a as simple as putting a value:
> RT signals are not implemented yet on the Hurd,
> so these should actually not be defined for now.

A patch does do 404. I am not sure if this is real bug as given nature of hurd these are not implemented and never will.